/**
 * thread.cpp
 *
 * part of eeetray
 * written by SvOlli
 * distributed under the terms of the GPL
 */

#include <QtGui>

#include "thread.hpp"
extern "C" {
#include "backend.h"
};


void BackendThread::run()
{
   switch( mCommand )
   {
      case reboot:
         ::run_reboot();
         break;
      case poweroff:
         ::run_poweroff();
         break;
      case wirelessoff:
         if( ::test_bluetooth() > 0 )
         {
            ::turn_bluetooth( 0 );
         }
         if( ::test_wlan() > 0 )
         {
            ::turn_wlan( 0 );
         }
         if( ::test_threeg() > 0 )
         {
            ::turn_threeg( 0 );
         }
         break;
      case cardreader:
         ::turn_cardreader( !::test_cardreader() );
         break;
      case webcam:
         ::turn_webcam( !::test_webcam() );
         break;
      case bluetooth:
         ::turn_bluetooth( !::test_bluetooth() );
         break;
      case wlan:
         ::turn_wlan( !::test_wlan() );
         break;
      case ssh:
         ::turn_ssh( !::test_ssh() );
         break;
      case threeg:
         ::turn_threeg( !::test_threeg() );
         break;
      default:
         break;
   }
}
