/**
 * window.hpp
 *
 * part of eeetray
 * written by SvOlli
 * distributed under the terms of the GPL
 */

#ifndef WINDOW_HPP
#define WINDOW_HPP

#include <QSystemTrayIcon>
#include <QDialog>

#include "thread.hpp"

class QAction;
class QIcon;
class QMenu;

class Window : public QDialog
{
   Q_OBJECT

public:
   Window();

protected:
   void closeEvent( QCloseEvent *event );

private slots:
   void handleMenu( QAction *action );
   void iconActivated( QSystemTrayIcon::ActivationReason reason );
   void execStarted();
   void execFinished();

private:
   QSystemTrayIcon *mpTrayIcon;
   QMenu           *mpMainMenu;
   QMenu           *mpShutdownMenu;

   QAction         *mpActionReboot;
   QAction         *mpActionPoweroff;
   QAction         *mpActionWirelessOff;
   QAction         *mpActionQuit;
   QAction         *mpActionAbout;
   QAction         *mpActionCardreader;
   QAction         *mpActionWebcam;
   QAction         *mpActionBluetooth;
   QAction         *mpActionThreeG;
   QAction         *mpActionWLAN;
   QAction         *mpActionSSH;
   
   bool            mMenuLocked;
   BackendThread   mExecThread;
   QIcon           mNormalIcon;
   QIcon           mActiveIcon;
};

#endif
